Package com.io7m.idstore.server.service.configuration.jaxb

# Class OpenTelemetry

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.OpenTelemetry

public class OpenTelemetry extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="LogicalServiceName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="OTELCollectorAddress" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `logicalServiceName`
  `protected String`
  `otelCollectorAddress`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenTelemetry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLogicalServiceName()`
  Gets the value of the logicalServiceName property.
  `String`
  `getOTELCollectorAddress()`
  Gets the value of the otelCollectorAddress property.
  `void`
  `setLogicalServiceName(String value)`
  Sets the value of the logicalServiceName property.
  `void`
  `setOTELCollectorAddress(String value)`
  Sets the value of the otelCollectorAddress property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### logicalServiceName

    protected String logicalServiceName

  - ### otelCollectorAddress

    protected String otelCollectorAddress

- ## Constructor Details

  - ### OpenTelemetry

    public OpenTelemetry()

- ## Method Details

  - ### getLogicalServiceName

    public String getLogicalServiceName()
    Gets the value of the logicalServiceName property.
    Returns:
      possible object is `String`

  - ### setLogicalServiceName

    public void setLogicalServiceName(String value)
    Sets the value of the logicalServiceName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOTELCollectorAddress

    public String getOTELCollectorAddress()
    Gets the value of the otelCollectorAddress property.
    Returns:
      possible object is `String`

  - ### setOTELCollectorAddress

    public void setOTELCollectorAddress(String value)
    Sets the value of the otelCollectorAddress property.
    Parameters:
      `value` - allowed object is `String`